﻿<MudStack>
    <MudStack Row="true">
        <MudText><b>Match Type:</b></MudText>
        <MudTooltip>
            <ChildContent>
                <MudIcon Icon="@Icons.Material.Filled.Info" Style="transform:scale(0.65)"/>
            </ChildContent>
            <TooltipContent>
                <MudText>
                    At least one of these checkboxes must be checked.<br />
                    Each checkbox effectively means you have access to that material and results will be filtered accordingly.<br />
                    <br />
                    See <a href="https://handbook.apex.prosperousuniverse.com/wiki/building-costs/#costs-calculation" target="_blank">building costs calculation section</a> in the handbook for more information.
                </MudText>
            </TooltipContent>
        </MudTooltip>
    </MudStack>
    <MudCheckBox @bind-Value="@Rocky" Dense="true" Size="Size.Small">Rocky (MCG)</MudCheckBox>
    <MudCheckBox @bind-Value="@Gaseous" Dense="true" Size="Size.Small">Gaseous (AEF)</MudCheckBox>
    <MudCheckBox @bind-Value="@LowGravity" Dense="true" Size="Size.Small">Low Gravity (MGC)</MudCheckBox>
    <MudCheckBox @bind-Value="@HighGravity" Dense="true" Size="Size.Small">High Gravity (BL)</MudCheckBox>
    <MudCheckBox @bind-Value="@LowPressure" Dense="true" Size="Size.Small">Low Pressure (SEA)</MudCheckBox>
    <MudCheckBox @bind-Value="@HighPressure" Dense="true" Size="Size.Small">High Pressure (HSE)</MudCheckBox>
    <MudCheckBox @bind-Value="@LowTemperature" Dense="true" Size="Size.Small">Low Temperature (INS)</MudCheckBox>
    <MudCheckBox @bind-Value="@HighTemperature" Dense="true" Size="Size.Small">High Temperature (TSH)</MudCheckBox>
</MudStack>